/* ***********************************************************************
**
**  Copyright (C) 2005  Christian Kranz
**
**  Siemens S65 Display Control
**
**	Minor changes for a digital picture frame by M.Bode 2007
**
*********************************************************************** */
// disp.h
#ifndef _DISP_H
#define _DISP_H

#include "avr/io.h"
#include "lcd.h"
#include "utils.h"


#define DISP_W 132
#define DISP_H 176
#define CHAR_H 14
#define CHAR_W 8
#define TEXT_COL 16
#define TEXT_ROW 12

extern uint16_t textcolor;  // color of border around text
extern uint16_t backcolor;    // color of background

/////////////////////////////// function prototypes ////////////////////////


void lcd_wrcmd16(uint16_t);
void lcd_wrdat16(uint16_t);
void fill_screen(uint16_t color);
void put_char(uint8_t x, uint8_t y, char c);
void put_char_max(uint8_t x, uint8_t y, char c, char size);
void message_centerP(uint8_t line,const char* PROGMEM string);
void message_center(uint8_t line,const char* string);
void error_messageP(const char* PROGMEM string);

#endif
// end of file disp.h
